Revoke Access Token
curl --request POST \
--url https://omnicommerce.sg/api/v1/oauth/revoke \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'token=<access_token>' \
--data client_id=your-client-id-uuid \
--data client_secret=your-client-secretconst options = {
method: 'POST',
headers: {'Content-Type': 'application/x-www-form-urlencoded'},
body: new URLSearchParams({
token: '<access_token>',
client_id: 'your-client-id-uuid',
client_secret: 'your-client-secret'
})
};
fetch('https://omnicommerce.sg/api/v1/oauth/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.sg/api/v1/oauth/revoke"
payload = {
"token": "<access_token>",
"client_id": "your-client-id-uuid",
"client_secret": "your-client-secret"
}
headers = {"Content-Type": "application/x-www-form-urlencoded"}
response = requests.post(url, data=payload, headers=headers)
print(response.text){
"error": "<string>",
"error_description": "<string>"
}{
"error": "invalid_client",
"error_description": "<string>"
}OAuth
Revoke Access Token
Revoke an OAuth bearer access token using client_secret_post authentication.
POST
/
api
/
v1
/
oauth
/
revoke
Revoke Access Token
curl --request POST \
--url https://omnicommerce.sg/api/v1/oauth/revoke \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'token=<access_token>' \
--data client_id=your-client-id-uuid \
--data client_secret=your-client-secretconst options = {
method: 'POST',
headers: {'Content-Type': 'application/x-www-form-urlencoded'},
body: new URLSearchParams({
token: '<access_token>',
client_id: 'your-client-id-uuid',
client_secret: 'your-client-secret'
})
};
fetch('https://omnicommerce.sg/api/v1/oauth/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.sg/api/v1/oauth/revoke"
payload = {
"token": "<access_token>",
"client_id": "your-client-id-uuid",
"client_secret": "your-client-secret"
}
headers = {"Content-Type": "application/x-www-form-urlencoded"}
response = requests.post(url, data=payload, headers=headers)
print(response.text){
"error": "<string>",
"error_description": "<string>"
}{
"error": "invalid_client",
"error_description": "<string>"
}Body
application/x-www-form-urlencodedapplication/json
Response
Token revocation accepted. The response body is intentionally empty.